New Document feature missing from Nautilus 3.20+

Bug #1632027 reported by Jeremy Bicha on 2016-10-10
120
This bug affects 38 people
Affects Status Importance Assigned to Milestone
Nautilus
Invalid
Wishlist
nautilus (Ubuntu)
Low
Unassigned

Bug Description

Ubuntu has a patch ( 16_unity_new_documents.patch ) to enable a 'New Document' function in the right-click context menu. This patch was not ported to Nautilus 3.20 so this Ubuntu-specific feature is missing in Ubuntu 16.10.

https://bazaar.launchpad.net/~ubuntu-desktop/nautilus/ubuntu/view/head:/debian/patches/16_unity_new_documents.patch

While this patch being disabled is noted in the debian/changelog, here's a formal bug to document the issue and maybe give it a bit more visibility so that it will be fixed.

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: nautilus 1:3.20.3-1ubuntu3
ProcVersionSignature: Ubuntu 4.8.0-17.19-generic 4.8.0-rc7
Uname: Linux 4.8.0-17-generic x86_64
ApportVersion: 2.20.3-0ubuntu7
Architecture: amd64
CurrentDesktop: GNOME
Date: Mon Oct 10 12:54:50 2016
EcryptfsInUse: Yes
GsettingsChanges:
 b'org.gnome.nautilus.preferences' b'open-folder-on-dnd-hover' b'false'
 b'org.gnome.nautilus.window-state' b'sidebar-width' b'171'
 b'org.gnome.nautilus.window-state' b'geometry' b"'1106x542+436+438'"
 b'org.gnome.nautilus.icon-view' b'default-zoom-level' b"'small'"
InstallationDate: Installed on 2016-08-11 (59 days ago)
InstallationMedia: Ubuntu-GNOME 16.10 "Yakkety Yak" - Alpha amd64 (20160811)
SourcePackage: nautilus
UpgradeStatus: No upgrade log present (probably fresh install)
usr_lib_nautilus: gnome-terminal 3.20.2-1ubuntu5

Jeremy Bicha (jbicha) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nautilus (Ubuntu):
status: New → Confirmed
BronsonMathews (bronsonmathews) wrote :

ok ive added a screenshot showing the weird spacing issue thats happening on nautilus 16.10. The icons have all get crushed up together making this view useless....

BronsonMathews (bronsonmathews) wrote :

and the 16.10 version of the same view is unreadable

BronsonMathews (bronsonmathews) wrote :

also noticed other things seem weird such as
- shortcut keys are always showing in right click menu (no way to disable this either!)
- The dividers seem very visually awkward now in the right click menu, on 16.04 is was very flat, now on 16.10 its very deep and gouging to look at.

BronsonMathews (bronsonmathews) wrote :

ops these were supposed to be part of my other bug:
https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/1634334

oh well, they're all related.

Ive tried to install nemo as a replacement in the meantime till this is fixed...

BronsonMathews (bronsonmathews) wrote :

Ah one other frustrating feature is the way the new pop-ups in nautilus occur when a file transfer or action happens and finish.
There needs to be a way to turn these off and disable them completely!

Jeremy Bicha (jbicha) wrote :

Bronson, this bug is only about the "New Document" feature. I don't think any of the other stuff you mentioned is directly related to this issue. Please file a separate bug for each separate issue. That will make it much easier to see the status of a specific issue.

StefG BZ (stefg-bz) wrote :

To have the "New Document" menu item back in the mean time, just add an empty file named "empty" for example in ~/Templates.

Changed in nautilus (Ubuntu):
importance: Undecided → Low
Robert Orzanna (orschiro) wrote :

@stefg-bz,

I created an empty file named "empty" in ~/Templates but I still don't have the context menu entry.

Jacek Sroka (zephod-4) wrote :

Placing files in ~/Templates directory does not work. What to do?

astroscion (astroscion) wrote :

Same problem than in comment #10, but trying to reset the ~/.config (e.g. http://www.linuxslaves.com/2016/05/fix-ubuntu-no-icons-panels-launcher-except-background.html) seems to fix the problem for me.
No more investigations...

Jeremy Bicha (jbicha) on 2017-03-13
description: updated
Download full text (3.8 KiB)

Wow!

Will this ever be backported to Ubuntu 16.10?

On Mon, Mar 13, 2017 at 3:51 PM Jeremy Bicha <email address hidden> wrote:

> ** Description changed:
>
> Ubuntu has a patch ( 16_unity_new_documents.patch ) to enable a 'New
> Document' function in the right-click context menu. This patch was not
> ported to Nautilus 3.20 so this Ubuntu-specific feature is missing in
> Ubuntu 16.10.
> +
> + https://bazaar.launchpad.net/~ubuntu-
> +
> desktop/nautilus/ubuntu/view/head:/debian/patches/16_unity_new_documents.patch
>
> While this patch being disabled is noted in the debian/changelog, here's
> a formal bug to document the issue and maybe give it a bit more
> visibility so that it will be fixed.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.10
> Package: nautilus 1:3.20.3-1ubuntu3
> ProcVersionSignature: Ubuntu 4.8.0-17.19-generic 4.8.0-rc7
> Uname: Linux 4.8.0-17-generic x86_64
> ApportVersion: 2.20.3-0ubuntu7
> Architecture: amd64
> CurrentDesktop: GNOME
> Date: Mon Oct 10 12:54:50 2016
> EcryptfsInUse: Yes
> GsettingsChanges:
> - b'org.gnome.nautilus.preferences' b'open-folder-on-dnd-hover' b'false'
> - b'org.gnome.nautilus.window-state' b'sidebar-width' b'171'
> - b'org.gnome.nautilus.window-state' b'geometry' b"'1106x542+436+438'"
> - b'org.gnome.nautilus.icon-view' b'default-zoom-level' b"'small'"
> + b'org.gnome.nautilus.preferences' b'open-folder-on-dnd-hover' b'false'
> + b'org.gnome.nautilus.window-state' b'sidebar-width' b'171'
> + b'org.gnome.nautilus.window-state' b'geometry' b"'1106x542+436+438'"
> + b'org.gnome.nautilus.icon-view' b'default-zoom-level' b"'small'"
> InstallationDate: Installed on 2016-08-11 (59 days ago)
> InstallationMedia: Ubuntu-GNOME 16.10 "Yakkety Yak" - Alpha amd64
> (20160811)
> SourcePackage: nautilus
> UpgradeStatus: No upgrade log present (probably fresh install)
> usr_lib_nautilus: gnome-terminal 3.20.2-1ubuntu5
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1643656).
> https://bugs.launchpad.net/bugs/1632027
>
> Title:
> New Document feature missing from Nautilus 3.20+
>
> Status in nautilus package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu has a patch ( 16_unity_new_documents.patch ) to enable a 'New
> Document' function in the right-click context menu. This patch was not
> ported to Nautilus 3.20 so this Ubuntu-specific feature is missing in
> Ubuntu 16.10.
>
> https://bazaar.launchpad.net/~ubuntu-
>
> desktop/nautilus/ubuntu/view/head:/debian/patches/16_unity_new_documents.patch
>
> While this patch being disabled is noted in the debian/changelog,
> here's a formal bug to document the issue and maybe give it a bit more
> visibility so that it will be fixed.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.10
> Package: nautilus 1:3.20.3-1ubuntu3
> ProcVersionSignature: Ubuntu 4.8.0-17.19-generic 4.8.0-rc7
> Uname: Linux 4.8.0-17-generic x86_64
> ApportVersion: 2.20.3-0ubuntu7
> Architecture: amd64
> CurrentDesktop: GNOME
> Date: Mon Oct 10 12:54:50 2016
> EcryptfsInUse: Yes
> GsettingsChanges:
> b'org.gnome.nautilus.preferences' b'open-folder-...

Read more...

Shuhao (shuhao) wrote :

This seems to affect 17.10

Jeremy Bicha (jbicha) on 2017-11-28
tags: added: artful bionic zesty
removed: rls-y-incoming yakkety
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu Package testing tracker.

A list of all reports related to this bug can be found here:
http://packages.qa.ubuntu.com/qatracker/reports/bugs/1632027

tags: added: package-qa-testing

This is such a basic feature, how can it possibly take 2 years to accept a patch? I just want to make a new text file. What is this "Templates" folder for if not this?

This post may or may not be true, but the workaround seems to be `sudo apt install nemo` and to use nemo instead.

https://www.omgubuntu.co.uk/2018/01/ubuntu-18-04-lts-will-ship-older-version-nautilus

Norbert (nrbrtx) wrote :

If this will continu, most users who want to work comfortably will be forced to migrate to another file manager (as Caja in MATE DE - old good Nautilus successor).

林博仁 (buo-ren-lin) wrote :

Affected to Ubuntu 18.04 as well, it's weird such basic feature doesn't exist in upstream GNOME in the first place...

林博仁 (buo-ren-lin) wrote :

I have filed the bug to GNOME upstream: https://gitlab.gnome.org/GNOME/nautilus/issues/407

Unfortunately currently Launchpad doesn't support GitLab issues so it can't be directly linked to this bug report.

林博仁 (buo-ren-lin) wrote :

According to the upstream developer the feature *does* exist, but has a prerequisite requirement that the user's template folder must have at least one template file in order to make the "New Document" submenu appear.

The upstream report has been updated to make Files preserve the same behavior as with the previous implementation in Ubuntu.

林博仁 (buo-ren-lin) wrote :

Add (old) bug report

Changed in nautilus:
importance: Undecided → Unknown
status: New → Unknown
Changed in nautilus:
importance: Unknown → Wishlist
status: Unknown → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.